Subject: Re: [PATCH] net: fib: fix incorrect call_rcu_bh()

From: "Paul E. McKenney" <[email-masked]>
Date: Tue, 7 Aug 2012 10:07:02 -0700

On Tue, Aug 07, 2012 at 06:48:14PM +0200, Eric Dumazet wrote:
> On Tue, 2012-08-07 at 09:34 -0700, Paul E. McKenney wrote:
> > On Tue, Aug 07, 2012 at 12:47:11PM +0200, Eric Dumazet wrote:
> > > From: Eric Dumazet <[email-masked]>
> > > 
> > > After IP route cache removal, I believe rcu_bh() has very little use and
> > > we should remove this RCU variant, since it adds some cycles in fast
> > > path.
> > 
> > Do you mean remove all uses of RCU-bh globally and also removing the
> > implementation itself?  That would actually be a good thing, from my
> > perspective.
> > 
> 
> Yes I meant that there are now too few rcu_bh users, and that they
> probably could switch to regular rcu.
> 
> We could then remove the implementation.
> 
> rcu_bh was needed because we could sit forever in softirq mode in one
> cpu, and we needed to allocate/free dsts with RCU protection.

Very cool!!!  Anything I can do to help, aside of course from the final
removal of RCU-bh support?

							Thanx, Paul